ETHSTATS(1)

NAME
ethstats - quickly display statistics of network interfaces

SYNOPSIS
ethstats [-t] [-C | -M] [-c count] [-i iface] [-n period]
ethstats [-V | -h]

DESCRIPTION
The ethstats utility is a quick way to display network interface statistics. It periodically samples the byte and packet counters exported by the Linux kernel into the /proc/net/dev pseudo-file and outputs a line for each network interface on the system (except for the loopback) and a totals line. The data shown is the input and output rate in megabits per second and packets per second.

The ethstats utility accepts the following command-line options:

-C  Highlight (color) the totals line in the output.

-c  Exit after the specified number of samples.

-h  Display program usage information and exit.

-i  Specify a single network interface to monitor.

-M  Do not highlight (monochrome) the totals line in the output.

-n  Specify the polling interval in seconds (default: 10).

-t  Prefix the totals line with the Unix timestamp.

-V  Display program version information and exit.

ENVIRONMENT
The operation of the ethstats utility is not directly influenced by any environment variables.

FILES
The operation of the ethstats utility is not directly influenced by the contents of any files.

EXAMPLES
Continuously poll the system network interfaces on five-second intervals:

    ethstats -n 5

Take four samples of the transfer rate of the wlan0 interface, ten seconds apart:

    ethstats -c 4 -n 10 -i wlan0

DIAGNOSTICS

SEE ALSO
netstat(8)

STANDARDS
No standards were harmed during the production of the ethstats utility.

HISTORY
This application was released from an unknown source via Drew Strieb. It is now maintained by Peter Pentchev.

A manual page was originally written by Scott Dier for the Debian project and then reworked by Peter Pentchev.

AUTHORS
Peter Pentchev <roam@ringlet.net> M. Drew Streib <dtype@dtype.org> Scott Dier <sdier@debian.org>

BUGS
No, thank you :) But if you should actually find any, please report them to the author.